package org.dromara.system.api.utils;

import cn.hutool.json.JSONArray;

/**
 * @author lilemy
 * @date 2025/5/30 14:55
 */
public class JsonDimensionUtil {

    /**
     * 判断 JSONArray 的嵌套维度
     *
     * @param array 需要判断的 JSONArray
     * @return 返回维度层级：1 表示一维，2 表示二维，3 表示三维 ...
     */
    public static int getJsonArrayDepth(Object array) {
        if (array instanceof JSONArray jsonArray && !jsonArray.isEmpty()) {
            return 1 + getJsonArrayDepth(jsonArray.getFirst());
        }
        return 0;
    }

}
